#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "SerialTool/SerialTool.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_connectBtn1_clicked();
    
    void on_readGrossBtn_clicked();
    
    void on_readZISNBtn_clicked();
    
    void on_zeroBtn_clicked();

private:
    Ui::MainWindow *ui;
    bool portIsOpen ; //当前串口是否开启
    QString  GSCellPortName;
    QSerialPort m_comport;
};

#endif // MAINWINDOW_H
